Resend notifications - Fabric

Resend notifications

cURL

curl --request POST \
  --url https://api.fabric.inc/v3/oms-notifications/actions/resend \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-fabric-channel-id: <x-fabric-channel-id>' \
  --header 'x-fabric-tenant-id: <x-fabric-tenant-id>' \
  --data '
{
  "documentId": "62e17f90842dbc2f43abd072",
  "documentType": "ORDER",
  "notificationType": "SINGLE_ITEM_ORDER_CONFIRMATION_EMAIL",
  "overrideContactInfo": [
    {
      "email": "test@example.com",
      "name": {
        "firstName": "Alex",
        "lastName": "Doe",
        "middleName": "E"
      },
      "phone": {
        "number": "123-456-7890",
        "type": "MOBILE"
      }
    }
  ]
}
'

Python

import requests

url = "https://api.fabric.inc/v3/oms-notifications/actions/resend"

payload = {
    "documentId": "62e17f90842dbc2f43abd072",
    "documentType": "ORDER",
    "notificationType": "SINGLE_ITEM_ORDER_CONFIRMATION_EMAIL",
    "overrideContactInfo": [
        {
            "email": "test@example.com",
            "name": {
                "firstName": "Alex",
                "lastName": "Doe",
                "middleName": "E"
            },
            "phone": {
                "number": "123-456-7890",
                "type": "MOBILE"
            }
        }
    ]
}
headers = {
    "x-fabric-tenant-id": "<x-fabric-tenant-id>",
    "x-fabric-channel-id": "<x-fabric-channel-id>",
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)

JavaScript

const options = {
  method: 'POST',
  headers: {
    'x-fabric-tenant-id': '<x-fabric-tenant-id>',
    'x-fabric-channel-id': '<x-fabric-channel-id>',
    Authorization: 'Bearer <token>',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({
    documentId: '62e17f90842dbc2f43abd072',
    documentType: 'ORDER',
    notificationType: 'SINGLE_ITEM_ORDER_CONFIRMATION_EMAIL',
    overrideContactInfo: [
      {
        email: 'test@example.com',
        name: {firstName: 'Alex', lastName: 'Doe', middleName: 'E'},
        phone: {number: '123-456-7890', type: 'MOBILE'}
      }
    ]
  })
};

fetch('https://api.fabric.inc/v3/oms-notifications/actions/resend', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));

PHP

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://api.fabric.inc/v3/oms-notifications/actions/resend",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",\n  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "POST",
  CURLOPT_POSTFIELDS => json_encode([
    'documentId' => '62e17f90842dbc2f43abd072',
    'documentType' => 'ORDER',
    'notificationType' => 'SINGLE_ITEM_ORDER_CONFIRMATION_EMAIL',
    'overrideContactInfo' => [
        [
                'email' => 'test@example.com',
                'name' => [
                                'firstName' => 'Alex',
                                'lastName' => 'Doe',
                                'middleName' => 'E'
                ],
                'phone' => [
                                'number' => '123-456-7890',
                                'type' => 'MOBILE'
                ]
        ]
    ]
  ]),
  CURLOPT_HTTPHEADER => [
    "Authorization: Bearer <token>",
    "Content-Type: application/json",
    "x-fabric-channel-id: <x-fabric-channel-id>",
    "x-fabric-tenant-id: <x-fabric-tenant-id>"
],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}

Go

package main

import (
    "fmt"
    "strings"
    "net/http"
    "io"
)

func main() {

url := "https://api.fabric.inc/v3/oms-notifications/actions/resend"

payload := strings.NewReader("{\n  \"documentId\": \"62e17f90842dbc2f43abd072\",\n  \"documentType\": \"ORDER\",\n  \"notificationType\": \"SINGLE_ITEM_ORDER_CONFIRMATION_EMAIL\",\n  \"overrideContactInfo\": [\n    {\n      \"email\": \"test@example.com\",\n      \"name\": {\n        \"firstName\": \"Alex\",\n        \"lastName\": \"Doe\",\n        \"middleName\": \"E\"\n      },\n      \"phone\": {\n        \"number\": \"123-456-7890\",\n        \"type\": \"MOBILE\"\n      }\n    }\n  ]\n}")

req, _ := http.NewRequest("POST", url, payload)

req.Header.Add("x-fabric-tenant-id", "<x-fabric-tenant-id>")
    req.Header.Add("x-fabric-channel-id", "<x-fabric-channel-id>")
    req.Header.Add("Authorization", "Bearer <token>")
    req.Header.Add("Content-Type", "application/json")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
    body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}

Java

HttpResponse<String> response = Unirest.post("https://api.fabric.inc/v3/oms-notifications/actions/resend")
  .header("x-fabric-tenant-id", "<x-fabric-tenant-id>")
  .header("x-fabric-channel-id", "<x-fabric-channel-id>")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"documentId\": \"62e17f90842dbc2f43abd072\",\n  \"documentType\": \"ORDER\",\n  \"notificationType\": \"SINGLE_ITEM_ORDER_CONFIRMATION_EMAIL\",\n  \"overrideContactInfo\": [\n    {\n      \"email\": \"test@example.com\",\n      \"name\": {\n        \"firstName\": \"Alex\",\n        \"lastName\": \"Doe\",\n        \"middleName\": \"E\"\n      },\n      \"phone\": {\n        \"number\": \"123-456-7890\",\n        \"type\": \"MOBILE\"\n      }\n    }\n  ]\n}")
  .asString();

Ruby

require 'uri'
require 'net/http'

url = URI("https://api.fabric.inc/v3/oms-notifications/actions/resend")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["x-fabric-tenant-id"] = '<x-fabric-tenant-id>'
request["x-fabric-channel-id"] = '<x-fabric-channel-id>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"documentId\": \"62e17f90842dbc2f43abd072\",\n  \"documentType\": \"ORDER\",\n  \"notificationType\": \"SINGLE_ITEM_ORDER_CONFIRMATION_EMAIL\",\n  \"overrideContactInfo\": [\n    {\n      \"email\": \"test@example.com\",\n      \"name\": {\n        \"firstName\": \"Alex\",\n        \"lastName\": \"Doe\",\n        \"middleName\": \"E\"\n      },\n      \"phone\": {\n        \"number\": \"123-456-7890\",\n        \"type\": \"MOBILE\"\n      }\n    }\n  ]\n}"\n
response = http.request(request)
puts response.read_body

Status Codes:

Example Responses

Success
{
  "documentId": "6319c04f2ec591b653f328dd",
  "documentType": "ORDER",
  "notificationIds": [
    "6sfd76678ec591b653f328dd"
  ],
  "notificationType": "SINGLE_ITEM_ORDER_CONFIRMATION_EMAIL",
  "overrideContactInfo": [
    {
      "email": "test@example.com",
      "name": {
        "firstName": "Alex",
        "lastName": "Doe",
        "middleName": "E"
      },
      "phone": {
        "number": "123-456-7890",
        "type": "MOBILE"
      }
    }
  ]
}
Error: Invalid request
{
  "errors": [
    {
      "message": "Invalid request",
      "type": "CLIENT_ERROR"
    }
  ],
  "message": "Bad request",
  "type": "CLIENT_ERROR"
}
Error: Unauthorized request
{
  "message": "Unauthorized request",
  "type": "CLIENT_ERROR"
}
Error: No resource found
{
  "message": "No resource found for the given ID",
  "type": "CLIENT_ERROR"
}
Error: Internal server error
{
  "message": "Internal server error",
  "type": "SERVER_ERROR"
}